<?php

namespace AppBundle\Repository\User;

use AppBundle\Entity\User\Subscription;

/**
 * OperationRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class OperationRepository extends \Doctrine\ORM\EntityRepository
{
    public function queryOperations(Subscription $candidate = null)
    {
        $qb = $this->createQueryBuilder('a');
        if($candidate) {
            $qb->leftJoin('a.candidate', 'c');
            $qb->andWhere('c.id = :candidate')
                ->setParameter('candidate', $candidate->getId());
        }
        $qb->orderBy('a.createdAt', 'DESC');

        return $qb;
    }
}
